com.trendmicro.ds.appcontrol.rest.object.drift

## Class TimeRange

- java.lang.Object
- - com.trendmicro.ds.appcontrol.rest.object.drift.TimeRange

-     public class TimeRange
      extends java.lang.Object

  A time range with which to narrow down a drift query.

  If specified, the time range must be no more than 366 days.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TimeRange()`
    `TimeRange(java.lang.Long start, java.lang.Long end)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Long` | `getEnd()` The end of the time range as the number of milliseconds since January 1, 1970, 00:00:00 GMT.
    `java.lang.Long` | `getStart()` The beginning of the time range as the number of milliseconds since January 1, 1970, 00:00:00 GMT.
    `void` | `setEnd(java.lang.Long end)`
    `void` | `setStart(java.lang.Long start)`
    `TimeRange` | `withEnd(java.lang.Long end)`
    `TimeRange` | `withStart(java.lang.Long start)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TimeRange

          public TimeRange()

    - #### TimeRange

          public TimeRange(java.lang.Long start,
                           java.lang.Long end)

  - ### Method Detail

    - #### getStart

          public java.lang.Long getStart()

      The beginning of the time range as the number of milliseconds since January 1, 1970, 00:00:00 GMT. If the value is 0 or less, or if it is absent, the DSM will use the time one week before the current time.
      Returns:

    - #### setStart

          public void setStart(java.lang.Long start)

    - #### withStart

          public TimeRange withStart(java.lang.Long start)

    - #### getEnd

          public java.lang.Long getEnd()

      The end of the time range as the number of milliseconds since January 1, 1970, 00:00:00 GMT. If the value is 0 or less, or if it is absent, the DSM will use the current time.
      Returns:

    - #### setEnd

          public void setEnd(java.lang.Long end)

    - #### withEnd

          public TimeRange withEnd(java.lang.Long end)

Copyright © 2017 Trend Micro Inc. All Rights Reserved.